/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomOverflowEvent_H__
#define __GdomOverflowEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomOverflowEvent GdomOverflowEvent;
typedef struct _GdomOverflowEventClass GdomOverflowEventClass;


#define GDOM_TYPE_OVERFLOW_EVENT            (gdom_overflow_event_get_type())
#define GDOM_OVERFLOW_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_OVERFLOW_EVENT, GdomOverflowEvent))
#define GDOM_OVERFLOW_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_OVERFLOW_EVENT, GdomOverflowEvent)Class)
#define GDOM_IS_OVERFLOW_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_OVERFLOW_EVENT))
#define GDOM_IS_OVERFLOW_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_OVERFLOW_EVENT))
#define GDOM_OVERFLOW_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_OVERFLOW_EVENT, GdomOverflowEventClass))

typedef struct _GdomOverflowEventPrivate GdomOverflowEventPrivate;

struct _GdomOverflowEvent {
    GdomEvent parent_instance;
    GdomOverflowEventPrivate *priv;
};

struct _GdomOverflowEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_overflow_event_get_type (void);

WEBKIT_API void
gdom_overflow_event_init_overflow_event (GdomOverflowEvent *thiz, gushort orient, gboolean horizontal_overflow, gboolean vertical_overflow);

G_END_DECLS

#endif /* __GdomOverflowEvent_H__ */
